Bug 246176 - www/py-djangotoolbox: Deprecate and set to expire
Summary: www/py-djangotoolbox: Deprecate and set to expire
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL:
Keywords: buildisok
Depends on:
Blocks: 245309
  Show dependency treegraph
 
Reported: 2020-05-04 14:15 UTC by Kai Knoblich
Modified: 2020-05-25 10:54 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (jhixson)


Attachments
deprecate-py-djangotoolbox.patch (444 bytes, patch)
2020-05-04 14:15 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-05-04 14:15:18 UTC
Created attachment 214106 [details]
deprecate-py-djangotoolbox.patch

Hi,

attached is the patch that deprecates www/py-djangotoolbox and set an expiration date for it.

The upstream repository seems to be no longer maintained (no update since 2015) and there are some runtime issues in conjunction with Django 1.11 (see issue #81 for more details) although "python3.7 manage.py runserver" looks fine at a first glance.
Comment 1 Automation User 2020-05-19 00:17:53 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/147335975
Comment 2 Kai Knoblich freebsd_committer 2020-05-25 10:44:29 UTC
Comment on attachment 214106 [details]
deprecate-py-djangotoolbox.patch

^ Triage: Set maintainer-approval flag to '+' due maintainer's timeout.
Comment 3 commit-hook freebsd_committer 2020-05-25 10:52:09 UTC
A commit references this bug:

Author: kai
Date: Mon May 25 10:52:05 UTC 2020
New revision: 536456
URL: https://svnweb.freebsd.org/changeset/ports/536456

Log:
  www/py-djangotoolbox: Deprecate and set to expire

  * The project is no longer maintained and has limited support for
    Django 1.11+ .

  PR:		246176
  Approved by:	maintainer timeout (3 weeks)

Changes:
  head/www/py-djangotoolbox/Makefile